View Issue Details

IDProjectCategoryView StatusLast Update
0003037Slicer4Core: Building (CMake, Superbuild)public2017-06-07 23:27
ReportertokudaAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.3.0Fixed in VersionSlicer 4.3.0 
Summary0003037: Change Repositories for OpenIGTLink and OpenIGTLinkIF
Description

The External_OpenIGTLink.cmake and External_OpenIGTLinkIF.cmake are still pointing the old repositories in the NA-MIC SandBox. They must be updated to use new repositories in GitHub.

TagsNo tags attached.

Activities

jcfr

jcfr

2013-04-01 08:03

administrator   ~0008269

All set. See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=21852

As a side note, last year I contributed a lot of changes :)
See https://github.com/Slicer/OpenIGTLinkIF/compare/svn-mirror...patched

Could you make sure all of them have been integrated ?

tokuda

tokuda

2013-04-02 06:09

developer   ~0008282

Yes, they are integrated in the code. Thank you very much for your contribution. It is noted in:

https://github.com/openigtlink/OpenIGTLinkIF/commit/d5ea9f2b48fe32f2dfbbfe1f60bd562856784338

I know this is not a good way to acknowledge... I wanted to acknowledged your work by merging you changes with your name, but I couldn't figure out how to merge the changes in git repository into SVN, when I worked on it a year ago.

jcfr

jcfr

2013-04-02 06:14

administrator   ~0008283

Excellent. Good to know the changes have been integrated.

Very true, there were no real way of keeping track of the original author when integrating git changes into a svn repo. If you end up rewriting the history ... that could now easily be done :)

Otherwise, in Slicer we now recommend the use of the "--add-author-from" command line option. See http://www.slicer.org/slicerWiki/index.php/Slicer:git-svn#Integrating_topic_from_external_contributor

tokuda

tokuda

2013-04-02 07:08

developer   ~0008284

This is good to know. Thanks for the info.

jcfr

jcfr

2017-06-07 23:27

administrator   ~0014653

Fix committed to 2145-support-for-installing-extension-from-file branch.

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file 1c252975

2013-04-01 12:02:09

jcfr

Details Diff
COMP: Update OpenIGTLink external projects to use github repository

See http://na-mic.org/Mantis/view.php?id=3037

Fixes 0003037

git-svn-id: http://svn.slicer.org/Slicer4/trunk@21852 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_OpenIGTLink.cmake Diff File
mod - SuperBuild/External_OpenIGTLinkIF.cmake Diff File

Issue History

Date Modified Username Field Change
2013-03-29 07:22 tokuda New Issue
2013-03-29 07:22 tokuda Status new => assigned
2013-03-29 07:22 tokuda Assigned To => jcfr
2013-03-29 07:23 tokuda Assigned To jcfr => tokuda
2013-04-01 08:03 jcfr Note Added: 0008269
2013-04-01 08:03 jcfr Status assigned => resolved
2013-04-01 08:03 jcfr Fixed in Version => Slicer 4.3.0
2013-04-01 08:03 jcfr Resolution open => fixed
2013-04-01 08:03 jcfr Target Version => Slicer 4.3.0
2013-04-02 06:09 tokuda Note Added: 0008282
2013-04-02 06:14 jcfr Note Added: 0008283
2013-04-02 06:14 jcfr Status resolved => assigned
2013-04-02 06:14 jcfr Assigned To tokuda => jcfr
2013-04-02 07:08 tokuda Note Added: 0008284
2013-04-02 08:15 jcfr Status assigned => closed
2017-06-07 23:27 jcfr Changeset attached => Slicer 2145-support-for-installing-extension-from-file 1c252975
2017-06-07 23:27 jcfr Note Added: 0014653